API ReferenceCost Category
Replaces the CostCategory resource.
Replaces the CostCategory resource.
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
CostCategory identifier
The updated CostCategory resource
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
length <= 100Response Body
curl -X PUT "https://example.com/finance/cost-categories/string" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "phoneNumber": "string", "pictureSm": "string", "pictureLg": "string", "canLogIn": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "jobPositionName": "string" }}